%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Eye of GNOME image viewer
Name:		eog
Version:	2.28.1
Release:	1
BuildArch:	i686
URL:		http://www.gnome.org
Source:		http://download.gnome.org/sources/eog/2.22/%{name}-%{version}.tar.bz2
License:	GPLv2+ and GFDL+
Group:		User Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires(post): desktop-file-utils
Requires(post): scrollkeeper
Requires(post): GConf
Requires(pre):  GConf
Requires(preun): GConf

Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: exempi-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gtk2+-devel
BuildRequires: lcms-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libexif-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: python26-devel
BuildRequires: startup-notification-devel
BuildRequires: zlib-devel gnome-doc-utils gnome-icon-theme libxml2-devel libxslt-devel python26-pygtk-devel python26-pygobject

%description
Eye of GNOME (EOG) is an image viewer. 

%package	devel
Summary:	Files needed for developing plugins for the EOG image viewer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Requires:	gtk2+-devel
Requires:	libgnomeui-devel
Requires:	libglade-devel
Requires:	gnome-vfs-devel
Requires:	GConf-devel

%description	devel
Eye of GNOME (EOG) is an image viewer. 
This package allows you to develop plugins to extend EOG.

%post
update-desktop-database -q
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null || : 
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/eog.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
scrollkeeper-update -q
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%prep
%setup -q

echo "NoDisplay=true" >> data/eog.desktop.in
# just in case
echo "NoDisplay=true" >> data/eog.desktop.in.in

%build

%configure \
--disable-scrollkeeper PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name} --with-gnome

# grr, --disable-scrollkeeper seems broken
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

mkdir -p $RPM_BUILD_ROOT%{_libdir}/eog/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_datadir/eog
%_applications
%_datadir/icons
%_bindir
%_sysconfdir/gconf/schemas/*.schemas
%_libdir/eog
%_datadir/gtk-doc

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update 
* Wed Apr 15 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.1-1
- Version update
* Tue Mar 31 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Oct 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Initial release
